## org.codehaus.groovy.ast.stmt
Class BlockStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.BlockStatement

    public class BlockStatement

extends Statement

A list of statements

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`BlockStatement()`
`BlockStatement(List statements, VariableScope scope)`
`BlockStatement(Statement[] statements, VariableScope scope)`

Method Summary
`void` `addStatement(Statement statement)`
`void` `addStatements(List listOfStatements)`
`List` `getStatements()`
`String` `getText()`
`VariableScope` `getVariableScope()`
`boolean` `isEmpty()`
`void` `setVariableScope(VariableScope scope)`
`String` `toString()`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlockStatement

    public BlockStatement()

### BlockStatement

    public BlockStatement(List statements,
                          VariableScope scope)

### BlockStatement

    public BlockStatement(Statement[] statements,
                          VariableScope scope)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### getStatements

    public List getStatements()

### addStatement

    public void addStatement(Statement statement)

### addStatements

    public void addStatements(List listOfStatements)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### isEmpty

    public boolean isEmpty()

  Overrides:
    `isEmpty` in class `Statement`

### setVariableScope

    public void setVariableScope(VariableScope scope)

### getVariableScope

    public VariableScope getVariableScope()

Copyright © 2003-2008 The Codehaus. All rights reserved.